it.csi.mddtools.guigen

## Interface ComboBox

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, MultiDataWidget, org.eclipse.emf.common.notify.Notifier, Widget

      public interface ComboBox
      extends DataWidget, MultiDataWidget

  A representation of the model object 'Combo Box'. MultiDataWidget che permette la selezione di uno o più valori all'interno di un elenco di possibili opzioni. Se il value-binding è impostato su un ApplicationData di tipo Simple la combo sarà a selezione singola; se il value-binding è impostato su un ApplicationData di tipo TypedArray (con component type Simple) la combo sarà a selezione multipla. Alla combo è possibile associare un event handler relativo all'evento VALUE_CHANGED, che viene scatenato nel momento un cui viene modificata la selezione.

  The following features are supported:

  - `Key Selector`
  - `Value Selector`
  - `Omit Header Value`
  - `Field Length`
  - `Visible Lines`
  See Also:
    `GuigenPackage.getComboBox()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFieldLength()` Returns the value of the 'Field Length' attribute.
    `java.lang.String` | `getKeySelector()` Returns the value of the 'Key Selector' attribute
    `java.lang.String` | `getValueSelector()` Returns the value of the 'Value Selector' attribute
    `int` | `getVisibleLines()` Returns the value of the 'Visible Lines' attribute
    `boolean` | `isOmitHeaderValue()` Returns the value of the 'Omit Header Value' attribute.
    `void` | `setFieldLength(int value)` Sets the value of the '`Field Length`' attribute
    `void` | `setKeySelector(java.lang.String value)` Sets the value of the '`Key Selector`' attribute
    `void` | `setOmitHeaderValue(boolean value)` Sets the value of the '`Omit Header Value`' attribute
    `void` | `setValueSelector(java.lang.String value)` Sets the value of the '`Value Selector`' attribute
    `void` | `setVisibleLines(int value)` Sets the value of the '`Visible Lines`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiDataWidget

      `getMultiDataBinding, setMultiDataBinding`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getKeySelector

          java.lang.String getKeySelector()

      Returns the value of the 'Key Selector' attribute.

      If the meaning of the 'Key Selector' attribute isn't clear, there really should be more of a description here...

      nome del campo che deve essere considerato come "key". Il campo deve corrispondere ad un field del complex type di cui è costituito l'array collegato alla combo (tramite multi-data-binding).
      Returns:
        the value of the 'Key Selector' attribute.
      See Also:
        `setKeySelector(String)`, `GuigenPackage.getComboBox_KeySelector()`

    - #### setKeySelector

          void setKeySelector(java.lang.String value)

      Sets the value of the '`Key Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Key Selector' attribute.
      See Also:
        `getKeySelector()`

    - #### getValueSelector

          java.lang.String getValueSelector()

      Returns the value of the 'Value Selector' attribute.

      If the meaning of the 'Value Selector' attribute isn't clear, there really should be more of a description here...

      nome del campo che deve essere utilizzato come descrizione visualizzata. Il campo deve corrispondere ad un field del complex type di cui è costituito l'array collegato alla combo (tramite multi-data-binding).
      Returns:
        the value of the 'Value Selector' attribute.
      See Also:
        `setValueSelector(String)`, `GuigenPackage.getComboBox_ValueSelector()`

    - #### setValueSelector

          void setValueSelector(java.lang.String value)

      Sets the value of the '`Value Selector`' attribute.
      Parameters:
        `value` - the new value of the 'Value Selector' attribute.
      See Also:
        `getValueSelector()`

    - #### isOmitHeaderValue

          boolean isOmitHeaderValue()

      Returns the value of the 'Omit Header Value' attribute. The default value is `"false"`.

      If the meaning of the 'Omit Header Value' attribute isn't clear, there really should be more of a description here...

      Se impostato a true non viene inserita la entry relativa allo stato di selezione nulla.
      Returns:
        the value of the 'Omit Header Value' attribute.
      See Also:
        `setOmitHeaderValue(boolean)`, `GuigenPackage.getComboBox_OmitHeaderValue()`

    - #### setOmitHeaderValue

          void setOmitHeaderValue(boolean value)

      Sets the value of the '`Omit Header Value`' attribute.
      Parameters:
        `value` - the new value of the 'Omit Header Value' attribute.
      See Also:
        `isOmitHeaderValue()`

    - #### getFieldLength

          int getFieldLength()

      Returns the value of the 'Field Length' attribute. The default value is `"15"`. Dimensione in caratteri dell area visibile del campo.
      Returns:
        the value of the 'Field Length' attribute.
      See Also:
        `setFieldLength(int)`, `GuigenPackage.getComboBox_FieldLength()`

    - #### setFieldLength

          void setFieldLength(int value)

      Sets the value of the '`Field Length`' attribute.
      Parameters:
        `value` - the new value of the 'Field Length' attribute.
      See Also:
        `getFieldLength()`

    - #### getVisibleLines

          int getVisibleLines()

      Returns the value of the 'Visible Lines' attribute. numero di linee visibili senza bisogno di utilizzare la scrollbar in caso di ComboBox a selezione multipla. Se impostato a zero il numero di linee visualizzabili non è predicibile. Nel caso di selezione singola invece l'attributo non ha effetto.
      Returns:
        the value of the 'Visible Lines' attribute.
      See Also:
        `setVisibleLines(int)`, `GuigenPackage.getComboBox_VisibleLines()`

    - #### setVisibleLines

          void setVisibleLines(int value)

      Sets the value of the '`Visible Lines`' attribute.
      Parameters:
        `value` - the new value of the 'Visible Lines' attribute.
      See Also:
        `getVisibleLines()`